package com.jpattern.orm.mapper;

import java.io.Serializable;

/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 */
public interface IClassMapper<T> extends Serializable {
	
	ITableMap getTableMap();
	
	Class<T> getMappedClass();
	
	IColumn getColumnWithJavaName(String javaName);
	
	String[] getAllColumnJavaNames();
	
	String[] getAllNotGeneratedColumnJavaNames();
	
	String[] getAllGeneratedColumnDBNames();
	
	String[] getAllGeneratedColumnJavaNames();
	
	String[] getPrimaryKeyColumnJavaNames();
	
	String[] getNotPrimaryKeyColumnJavaNames();
	
}
