package com.jpattern.orm.query;

import java.io.Serializable;

/**
 * An Orm object result reader
 * @author Francesco Cina
 *
 * 15/lug/2011
 */
public interface IOrmSerialResultReader<T> extends Serializable {

	/**
	 * this method is called for every object extracted by the IOrmQuery
	 * @param newObject
	 * @param rowCount
	 */
	void read(T newObject, int rowCount);
	
}
