package com.jpattern.orm.query.expression;

/**
 * 
 * @author Francesco Cina
 *
 * 19/giu/2011
 */
public class IEqPropertiesExpressionElement extends APropertiesExpressionElement {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public IEqPropertiesExpressionElement(String firstProperty, String secondProperty) {
		super(firstProperty, secondProperty);
		setPropertyDecorator(new LowerCasePropertyDecorator());
		setValueDecorator(new LowerCasePropertyDecorator());
	}

	@Override
	public String getExpressionElementKey() {
		return "=";
	}

}
