package com.jpattern.orm.session;

import java.io.Serializable;

import com.jpattern.orm.exception.OrmException;

/**
 * 
 * @author Francesco Cina
 *
 * 18/giu/2011
 */
public interface ITransaction extends Serializable {

	void setRollbackOnly() throws OrmException;
	
	void rollback() throws OrmException;
	
	void commit() throws OrmException;
	
}
